View Issue Details

IDProjectCategoryView StatusLast Update
0003113TechDraw[FreeCAD] Bugpublic2017-07-18 18:17
Reporterm42kusAssigned Towandererfan 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0003113: TechDraw needs Drawing WB (cmake)
DescriptionThe required modules for TechDraw only include part and spreadsheet:
REQUIRES_MODS(BUILD_TECHDRAW BUILD_PART BUILD_SPREADSHEET)
In the TechDraw/App/CMakeLists.txt Drawing is also included:

set(TechDrawLIBS
    Measure
    Part
    Spreadsheet
    Drawing
)
Steps To Reproduceconfirmed. new svg/dxf export functions use Drawing/DrawingExport.cpp.
TagsNo tags attached.

Activities

Kunda1

2017-07-03 11:23

administrator   ~0009651

CC @wandererfan

Kunda1

2017-07-18 11:55

administrator   ~0009770

Last edited: 2017-07-18 11:58

View 2 revisions

FreeCAD Pull Request 881
FreeCAD master 0a7c6c42

wandererfan

2017-07-18 18:17

manager   ~0009775

Fix committed to master branch.

Related Changesets

FreeCAD: master 0a7c6c42

2017-07-08 18:36:45

wandererfan


Committer: yorik Details Diff
Fix 0003113 TechDraw needs Drawing in cmake

TechDraw/App Svg/Dxf functions use routines from
Drawing/App/DrawingExport.cpp
Affected Issues
0003113
mod - CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2017-07-03 08:01 m42kus New Issue
2017-07-03 11:23 Kunda1 Note Added: 0009651
2017-07-03 15:31 wandererfan Status new => confirmed
2017-07-03 15:31 wandererfan Steps to Reproduce Updated View Revisions
2017-07-18 11:55 Kunda1 Note Added: 0009770
2017-07-18 11:56 Kunda1 Assigned To => wandererfan
2017-07-18 11:56 Kunda1 Status confirmed => assigned
2017-07-18 11:58 Kunda1 Note Edited: 0009770 View Revisions
2017-07-18 11:58 Kunda1 Status assigned => resolved
2017-07-18 11:58 Kunda1 Resolution open => fixed
2017-07-18 11:58 Kunda1 Fixed in Version => 0.17
2017-07-18 18:17 yorik Changeset attached => FreeCAD master 0a7c6c42
2017-07-18 18:17 wandererfan Note Added: 0009775
2017-07-18 18:17 wandererfan Status resolved => closed